%define major		0
%define libname		lib%{name}
%define fulllibname	%mklibname %{name} %{major}
%define develname %mklibname -d %name

Name:		a52dec
Version:	0.7.4
Release:	%mkrel 18
Summary:	A free ATSC A/52 stream decoder library
License:	GPLv2+
Group:		Video/Editors and Converters
URL:		http://liba52.sourceforge.net
Source:		%{name}-%{version}.tar.bz2
Patch0:		a52dec-0.7.4-pic.patch
Requires:	%{fulllibname} = %{version}
BuildRequires:	chrpath

%description
liba52 is a free library for decoding ATSC A/52 streams.

The A/52 standard is used in a variety of applications, including
digital television and DVD. It is also known as AC-3.

%package -n %{fulllibname}
Summary:	Libraries for %{name}
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}

%description -n %{fulllibname}
liba52 is a free library for decoding ATSC A/52 streams.

The A/52 standard is used in a variety of applications, including
digital television and DVD. It is also known as AC-3.

This package contains libraries needed to run programs linked with %{name}.

%package -n %develname
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{fulllibname} = %{version}
Provides:	%{libname}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %develname
liba52 is a free library for decoding ATSC A/52 streams.

The A/52 standard is used in a variety of applications, including
digital television and DVD. It is also known as AC-3.

This package contains development files needed to compile programs which
use %{name}.

%prep
%setup -q
%patch0 -p1 -b .pic
autoconf

%build
export CFLAGS="%optflags -fPIC"
%configure2_5x --enable-shared --disable-static
%make

%install
%makeinstall_std
chrpath -d %buildroot%_bindir/a52dec

# don't ship .a, .la
find %{buildroot} -name *.la | xargs rm -f

%files
%doc AUTHORS COPYING NEWS README TODO HISTORY
%{_bindir}/*
%{_mandir}/man1/*

%files -n %{fulllibname}
%{_libdir}/liba52.so.%{major}*

%files -n %develname
%{_includedir}/*
%{_libdir}/*.so


%changelog

* Sat Jan 19 2013 fwang <fwang> 0.7.4-18.mga3
+ Revision: 389715
- update rpm group

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 29 2011 supp <supp> 0.7.4-17.mga2
+ Revision: 188755
- rebuild for mga2

* Tue Jan 25 2011 ahmad <ahmad> 0.7.4-16.mga1
+ Revision: 39609
- remove old/unneeded scriptlets
- don't ship .a, .la
- imported package a52dec

